package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Model ID and name
 */
@ApiModel(description = "Model ID and name")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class OsgModelOpenApiInfoVo   {
  @JsonProperty("id")
  private Integer id;

  @JsonProperty("name")
  private String name;

  public OsgModelOpenApiInfoVo id(Integer id) {
    this.id = id;
    return this;
  }

  /**
   * Model ID
   * @return id
  */
  @ApiModelProperty(required = true, value = "Model ID")
  @NotNull


  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public OsgModelOpenApiInfoVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Model name
   * @return name
  */
  @ApiModelProperty(required = true, value = "Model name")
  @NotNull


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OsgModelOpenApiInfoVo osgModelOpenApiInfoVo = (OsgModelOpenApiInfoVo) o;
    return Objects.equals(this.id, osgModelOpenApiInfoVo.id) &&
        Objects.equals(this.name, osgModelOpenApiInfoVo.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OsgModelOpenApiInfoVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

